SystemOrganization addCategory: #'OmniST-CLBG-Compatibility'!

BGPermGeneratorRedux subclass: #OstBGPermGeneratorRedux
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGPermGeneratorRedux class methodsFor: 'initialization' stamp: 'StefanMarr 1/15/2012 18:42'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGPermGeneratorRedux methodsFor: 'as yet unclassified' stamp: 'StefanMarr 1/15/2012 20:59'!
initialize: size
	super initialize: size.
	perm := OstArray fromArray: perm.! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGPermGeneratorRedux methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !

BGRandomStream subclass: #OstBGRandomStream
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGRandomStream class methodsFor: 'initialization' stamp: 'StefanMarr 7/18/2012 22:33'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGRandomStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !

BGRandomNumber subclass: #OstBGRandomNumber
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGRandomNumber class methodsFor: 'initialization' stamp: 'StefanMarr 1/15/2012 18:50'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGRandomNumber methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !

BGNBody subclass: #OstBGNBody
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGNBody class methodsFor: 'initialization' stamp: 'StefanMarr 1/15/2012 18:17'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGNBody methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !

BGTreeNode subclass: #OstBGTreeNode
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGTreeNode class methodsFor: 'initialization' stamp: 'StefanMarr 1/15/2012 18:46'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGTreeNode methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !

BGRepeatStream subclass: #OstBGRepeatStream
	instanceVariableNames: 'omniDomain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OmniST-CLBG-Compatibility'!

!OstBGRepeatStream class methodsFor: 'initialization' stamp: 'StefanMarr 7/18/2012 22:33'!
initialize 
	OstObject omnifyClass: self.! !

!OstBGRepeatStream class methodsFor: 'instance creation' stamp: 'StefanMarr 7/22/2012 01:50'!
to: anInteger on: aCollection
   ^ super to: anInteger on: (OstDomain currentDomain adoptObject: aCollection) ! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain
	^ omniDomain! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 1/3/2012 14:04'!
omniDomain: aDomain
	omniDomain := aDomain! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self.! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector lookup: cls
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector lookup: cls on: self.! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1
	<omniUnenforced>
	^ omniDomain requestExecution: p1 of: aSelector on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2
	<omniUnenforced>
	^ omniDomain requestExecution: p1 with: p2 of: aSelector on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		of: aSelector
		on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		of: aSelector
		on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		of: aSelector 
		on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:14'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		of: aSelector
		on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		of: aSelector
		on: self! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9
	<omniUnenforced>
	^ omniDomain requestExecutionOf: aSelector on: self with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9! !

!OstBGRepeatStream methodsFor: 'omni reflection' stamp: 'StefanMarr 7/18/2012 22:13'!
requestExecutionOf: aSelector with: p1 with: p2 with: p3 with: p4 with: p5 with: p6 with: p7 with: p8 with: p9 with: p10
	<omniUnenforced>
	^ omniDomain
		requestExecution: p1
		with: p2
		with: p3
		with: p4
		with: p5
		with: p6
		with: p7
		with: p8 with: p9 with: p10
		of: aSelector
		on: self! !
OstBGRandomStream initialize!
OstBGRepeatStream initialize!
OstBGRandomNumber initialize!
OstBGNBody initialize!
OstBGTreeNode initialize!
OstBGPermGeneratorRedux initialize!
